image: mcr.microsoft.com/dotnet/sdk:5.0

stages:
    - build
#    - test
    - deploy

#variables:
#    test: "ExcentOne.Core.Security.Test"

before_script:
    - "cd src"
    - "dotnet restore"

build:
    stage: build
    script:
        - dotnet build -c Release

#test:
#    stage: test
#    script: 
#        - "cd $test"
#        - "dotnet test"

deploy:
    stage: deploy
    script:
        - dotnet publish -c Release
        - dotnet pack -c Release
        - dotnet nuget add source "$CI_SERVER_URL/api/v4/projects/$CI_PROJECT_ID/packages/nuget/index.json" --name gitlab --username gitlab-ci-token --password $CI_JOB_TOKEN --store-password-in-clear-text
        - dotnet nuget push "$CI_PROJECT_TITLE/bin/Release/*.nupkg" --source gitlab
        - dotnet nuget push "$CI_PROJECT_TITLE/bin/Release/*.nupkg" -k $NUGET_API_KEY --source "https://api.nuget.org/v3/index.json" --skip-duplicate
    only:
        - master
